สามสคีม
แต่ละสคีมคือข้อความสั้น ๆ ที่มือถือรู้ว่าต้องส่งให้แอปใด mailto: เปิดแอปอีเมล tel: เปิดแป้นโทรออก และ sms: เปิดแอปข้อความ โดยกรอกผู้รับและบางครั้งข้อความไว้แล้ว
หมายเลขโทรศัพท์ทำงานได้ดีที่สุดในรูปแบบสากลที่มีเครื่องหมายบวกและรหัสประเทศ เช่น +15035550123 เพื่อให้โค้ดใช้ได้กับผู้มาเยือนจากประเทศอื่น
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (ธรรมเนียมรุ่นเก่า ยังอ่านกันแพร่หลาย)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ธรรมเนียมอีเมลรุ่นเก่า)
การเข้ารหัสข้อความ
หัวเรื่องและเนื้อความในลิงก์ mailto และ sms ต้องเข้ารหัสเปอร์เซ็นต์ ช่องว่างจึงกลายเป็น %20 และเครื่องหมายแอมเปอร์แซนด์ในข้อความกลายเป็น %26 อักขระที่ไม่ได้เข้ารหัสอาจตัดข้อความสั้นลงหรือทำให้ลิงก์เสีย
แพลตฟอร์มไม่ได้แยกวิเคราะห์พารามิเตอร์ body ของ sms เหมือนกันเสมอ นี่คือเหตุผลหนึ่งที่รูปแบบ SMSTO: รุ่นเก่ายังพบบ่อยในตัวสร้าง QR การทดสอบบนทั้ง iPhone และ Android ก่อนพิมพ์คือวิธีตรวจที่เชื่อถือได้
โค้ดเหล่านี้ทำอะไรไม่ได้
QR Code ส่งอีเมล ส่งข้อความ หรือโทรออกเองไม่ได้ ทำได้แค่เปิดแอปพร้อมกรอกฟิลด์ และผู้สแกนเป็นผู้ตัดสินใจว่าจะกดส่งหรือโทร
เพราะเห็นผู้รับก่อนส่ง ผู้ใช้ควรตรวจว่าตรงกับที่คาดไว้ โค้ดที่กรอกข้อความไปยังหมายเลขที่คิดค่าบริการสูงหรือที่อยู่ที่ไม่คุ้นเคยเป็นสัญญาณเตือน